cs_register_esc_strfunc(3)

NAME
cs_register_esc_strfunc - cs_register_strfunc with escaping context

SYNOPSIS
#include <cs/cs.h> NEOERR *cs_register_esc_strfunc(CSPARSE *parse, char *funcname,
                        CSSTRFUNC str_func);

ARGUMENTS
parse - a pointer to a CSPARSE structure initialized with cs_init()
funcname - the name for the CS function call
Note that registering a duplicate funcname will
raise a NERR_DUPLICATE error
str_func - a CSSTRFUNC not-callback

DESCRIPTION
cs_register_esc_strfunc functions exactly as cs_register_strfunc except that it changes the evaluation escaping context to disable default escaping.

SEE ALSO
cs_dump(3), cs_destroy(3), cs_render(3), cs_register_esc_strfunc(3), cs_arg_parsev(3), cs_register_fileload(3), cs_init(3), cs_register_strfunc(3), cs_arg_parse(3), cs_parse_string(3), cs_parse_file(3), =(3), cs_register_function